# Uses of Class
org.apache.commons.math3.exception.MathUnsupportedOperationException

Packages that use MathUnsupportedOperationException
Package
Description
org.apache.commons.math3.geometry
This package is the top level package for geometry.
org.apache.commons.math3.geometry.euclidean.oned
This package provides basic 1D geometry components.
org.apache.commons.math3.geometry.spherical.oned
This package provides basic geometry components on the 1-sphere.
org.apache.commons.math3.linear
Linear algebra support.
org.apache.commons.math3.stat.correlation
Correlations/Covariance computations.
org.apache.commons.math3.stat.descriptive.rank
Summary statistics based on ranks.

## Uses of MathUnsupportedOperationException in org.apache.commons.math3.geometry

Methods in org.apache.commons.math3.geometry that throw MathUnsupportedOperationException
Modifier and Type
Method
Description
`Space`
Space.`getSubSpace()`
Get the n-1 dimension subspace of this space.

## Uses of MathUnsupportedOperationException in org.apache.commons.math3.geometry.euclidean.oned

Subclasses of MathUnsupportedOperationException in org.apache.commons.math3.geometry.euclidean.oned
Modifier and Type
Class
Description
`static class`
`Euclidean1D.NoSubSpaceException`
Specialized exception for inexistent sub-space.

## Uses of MathUnsupportedOperationException in org.apache.commons.math3.geometry.spherical.oned

Subclasses of MathUnsupportedOperationException in org.apache.commons.math3.geometry.spherical.oned
Modifier and Type
Class
Description
`static class`
`Sphere1D.NoSubSpaceException`
Specialized exception for inexistent sub-space.

## Uses of MathUnsupportedOperationException in org.apache.commons.math3.linear

Methods in org.apache.commons.math3.linear that throw MathUnsupportedOperationException
Modifier and Type
Method
Description
`boolean`
RealVector.`equals(Object other)`
Test for the equality of two real vectors.
`int`
RealVector.`hashCode()`
.
`void`
RealVector.SparseEntryIterator.`remove()`

## Uses of MathUnsupportedOperationException in org.apache.commons.math3.stat.correlation

Methods in org.apache.commons.math3.stat.correlation that throw MathUnsupportedOperationException
Modifier and Type
Method
Description
`int`
StorelessCovariance.`getN()`
This `Covariance` method is not supported by a `StorelessCovariance`, since the number of bivariate observations does not have to be the same for different pairs of covariates - i.e., N as defined in `Covariance.getN()` is undefined.

## Uses of MathUnsupportedOperationException in org.apache.commons.math3.stat.descriptive.rank

Methods in org.apache.commons.math3.stat.descriptive.rank that throw MathUnsupportedOperationException
Modifier and Type
Method
Description
`static void`
Percentile.`copy(Percentile source, Percentile dest)`
Deprecated.
as of 3.4 this method does not work anymore, as it fails to copy internal states between instances configured with different `estimation type`, `NaN handling strategies` and `kthSelector`, it therefore always throw `MathUnsupportedOperationException`